# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'elasticshelf/version'

Gem::Specification.new do |spec|
  spec.name          = "elasticshelf"
  spec.version       = Elasticshelf::VERSION
  spec.authors       = ["cLee Smith"]
  spec.email         = ["cleesmith2006@gmail.com"]
  spec.summary       = "Ruby integrations for Elasticsearch indices management"
  spec.description   = "Ruby integrations for Elasticsearch indices management using close, delete, snapshot, and restore"
  spec.homepage      = "https://github.com/cleesmith/elasticshelf.git"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "elasticsearch", '1.0.1'

  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "rake"
end
